﻿
@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
}
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<UserContractViewModel>()
               .Name("grid")
               .Events(e => e.DataBound("DataBound"))
               .Events(e => e.Edit("Edit"))
               .Events(e => e.DetailExpand("DetailExpand"))
               .Columns(columns =>
               {
                   columns.Bound(c => c.UserContractID).Title("شناسه");
                   columns.Bound(c => c.Email).Title("ایمیل").HtmlAttributes(new { style="font-weight:bold;letter-spacing:2px;font-size:13px;"});
                   columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                   columns.Bound(c => c.ContractName).Title("قرارداد");
                   //columns.Bound(c => c.EditCount).Title("تعداد ویرایش").Width(50);
                   //columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ویرایش");
                   columns.Bound(c => c.Content).Title("PDF");
                   columns.Bound(p => p.Word).ClientTemplate(

                                                     "# if (Word == 0 || Word == null || Word == '') { #" +
                                                        "عدم درخواست" +
                                                      "# } else { #" +
                                                            "درخواست فایل Word" +
                                                      "# } #"
                                                     );

                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
               })

              .Groupable()
              .ColumnMenu()
              .ClientDetailTemplateId("Details")
              .Editable(editable =>
              {
                  editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
              }
              )
              .Pageable(pageable => pageable
                   .Refresh(true)
                   .PageSizes(true)
                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                   .PageSizes(new int[] { 10, 20, 30 }))
              .Navigatable()
              .Selectable(selectable =>
              {
                  selectable.Mode(GridSelectionMode.Single);
                  selectable.Type(GridSelectionType.Row);
              })
              .Sortable(sortable =>
              {
                  sortable.SortMode(GridSortMode.SingleColumn);
              })
              .Filterable()
                .Scrollable(s => s.Height("auto").Enabled(false))
              .DataSource(dataSource => dataSource
                  .Ajax()
                  .Sort(sort => sort.Add("UserContractID").Descending())
                  .Model(model => model.Id(p => p.UserContractID))
                  .Read(read => read.Action("UserContracts_Read", "UserContract"))
                  .Update(update => update.Action("UserContracts_Update", "UserContract"))
                  .Destroy(destroy => destroy.Action("UserContracts_Destroy", "UserContract"))
              )
        )
    </div>
</div>

<script id="Details" type="text/kendo-tmpl">

    @(Html.Kendo().TabStrip()
                            .Name("tabStrip_#=UserContractID#")
                            .SelectedIndex(0)
                            .Events(q => q.Select("SelectTab"))
                            .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                            .Items(items =>
                            {
                                items.Add().Text("تراکنش").Content(
                                        @<text>
                                            <div class="wrapper-grid">
                                                <div class="k-rtl">
                                                    @(Html.Kendo().Grid<PaymentLog>()
                                                          .Name("PaymentLog_#=UserContractID#")
                                                          .Events(e => e.DataBound("DataBoundPaymentLog"))
                                                          .Events(e => e.Edit("EditPaymentLog"))
                                                        
                                                          .Columns(columns =>
                                                          {

                                                              columns.Bound(c => c.PaymentLogID).Title("شناسه");
                                                              columns.Bound(c => c.ReferenceBank).Title("بانک");
                                                              columns.Bound(c => c.IsSuccessful).Title("وضعیت پرداخت");
                                                              columns.Bound(c => c.RequestStatus).Title("وضعیت درخواست");
                                                              columns.Bound(c => c.ResponseCode).Title("کد پاسخ");
                                                              columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                                                              columns.Bound(c => c.Amount).Title("مبلغ").Format("{0:n0} تومان");
                                                              columns.Bound(c => c.ResponseMessage).Title("پیام پاسخ");                                                           
                                                              columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                                                          })

                                                         .Groupable()
                                                         .ColumnMenu()
                                                         .Editable(editable =>
                                                         {
                                                             editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                                                             editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                                         }
                                                         )
                                                         .Pageable(pageable => pageable
                                                              .Refresh(true)
                                                              .PageSizes(true)
                                                              .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                              .PageSizes(new int[] { 10, 20, 30 }))
                                                         .Navigatable()
                                                         .Selectable(selectable =>
                                                         {
                                                             selectable.Mode(GridSelectionMode.Single);
                                                             selectable.Type(GridSelectionType.Row);
                                                         })
                                                         .Sortable(sortable =>
                                                         {
                                                             sortable.SortMode(GridSortMode.SingleColumn);
                                                         })
                                                         .Filterable()
                                                           .Scrollable(s => s.Height("auto").Enabled(false))
                                                         .DataSource(dataSource => dataSource
                                                             .Ajax()
                                                             .Sort(sort => sort.Add("PaymentLogID").Descending())
                                                             .Model(model => model.Id(p => p.PaymentLogID))
                                                             .Read(read => read.Action("PaymentLogs_Read", "PaymentLog", new { UserContractId = "#=UserContractID#" }))
                                                             .Update(update => update.Action("PaymentLogs_Update", "PaymentLog"))
                                                             .Destroy(destroy => destroy.Action("PaymentLogs_Destroy", "PaymentLog"))
                                                         )
                                                         .ToClientTemplate()
                                                    )
                                                </div>
                                            </div>
                                        </text>
);

                                items.Add().Text("اطلاعات ").Content(

                                    @<text>
                                                    
                                     </Text>
                                          

                                    );
                            })


.ToClientTemplate()
    )

</script>


<script>
     function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);

            if (model.Price == 0 || model.Price == null) $(this).find("td:nth-child(1)").append("<span style='margin-right:15px;color:green;font-weight:bold;'>رایگان</span>")
            else {
               $(this).find("td:nth-child(1)").append("<i style='color:red;vertical-align:middle;vertical-align:text-bottom;margin-right:15px;' class='material-icons'>attach_money</i>");
            }
            
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });

    }
     function Edit(e) {
    
      
        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
      

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: ""
            });
        } else {
            kendoWindow.setOptions({
                title: "مشاهده جزئیات بیشتر"
            });
        }
      
    }
     function DetailExpand(e) {
        this.collapseRow(this.tbody.find(' > tr.k-master-row').not(e.masterRow));

    }
     function SelectTab(e) {

    }
    function DataBoundPaymentLog(e){
         var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
                   
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });
    }
    function EditPaymentLog(e){

    }
</script>